# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.3.3](https://gitlab.univ-nantes.fr///compare/v0.3.2...v0.3.3) (2023-01-15)

### [0.3.2](https://gitlab.univ-nantes.fr///compare/v0.3.1...v0.3.2) (2022-09-21)


### Features

* cut long feedbacks in several comments ([d8f3248](https://gitlab.univ-nantes.fr///commit/d8f3248bc200e2a876d190f189bbfbff9223a7b5))

### [0.3.1](https://gitlab.univ-nantes.fr///compare/v0.3.0...v0.3.1) (2021-05-21)


### Features

* add possibility to hide members in csv ([1feaae4](https://gitlab.univ-nantes.fr///commit/1feaae412f8153d17319b42aa5fad708a522a946))

## [0.3.0](https://gitlab.univ-nantes.fr///compare/v0.2.0...v0.3.0) (2021-04-23)


### ⚠ BREAKING CHANGES

* simplify and unbloat evaluator API
* add .yml extension to created yml files

### Features

* add .yml extension to created yml files ([9951a52](https://gitlab.univ-nantes.fr///commit/9951a52067e686642fff47834bce01ec888f4f61))
* evaluator configuration file management ([cf027c5](https://gitlab.univ-nantes.fr///commit/cf027c50b937a144e474d261ef45b92c2242c7c0))
* look for evaluator in global packages ([dac5d11](https://gitlab.univ-nantes.fr///commit/dac5d11a41af004535b278df8f0a56403d5b95ec))
* simplify and unbloat evaluator API ([0565749](https://gitlab.univ-nantes.fr///commit/05657499e31be738998b1fe8fb48ad44217629a0))

## [0.2.0](https://gitlab.univ-nantes.fr///compare/v0.1.1...v0.2.0) (2021-04-15)


### ⚠ BREAKING CHANGES

* add list/clone by id/url + rename userID
* remove default gitlab host, add error
* missing await in clone command
* rename .naogit to .evalassist

### Features

* add list/clone by id/url + rename userID ([19f7e40](https://gitlab.univ-nantes.fr///commit/19f7e4004306398e9ee4c1b37194188742844c71))


### Bug Fixes

* missing await in clone command ([24477a5](https://gitlab.univ-nantes.fr///commit/24477a5e6f8d84437777a3f3916e16685f04bf0a))


* remove default gitlab host, add error ([4ec62ba](https://gitlab.univ-nantes.fr///commit/4ec62ba45e98fa939fce10f182a6f5e69fd61e03))
* rename .naogit to .evalassist ([639a708](https://gitlab.univ-nantes.fr///commit/639a708433b5315c4b96a234044c1163d854215b))

### [0.1.1](https://gitlab.univ-nantes.fr///compare/v0.1.0...v0.1.1) (2021-04-15)

## [0.1.0](https://gitlab.univ-nantes.fr///compare/v0.0.28...v0.1.0) (2021-04-15)


### ⚠ BREAKING CHANGES

* rename csv + inject date + fix tests
* make storage clear return boolean
* rename clone to git + add pull
* store complete commit data
* add homemade exception type
* make csvwriter service public + sundries
* provide new evaluation services + sundries
* add new mockable file writer service
* add checkDeadline pure version
* split evaluation in more functions
* first version of eval service, with csv
* rm ProjectData(Writer|Reader)Provider

### Features

* add checkDeadline pure version ([41afe78](https://gitlab.univ-nantes.fr///commit/41afe782ba79fa2bad8176dace439ec75bfe7b44))
* add CSV core service ([c3ef867](https://gitlab.univ-nantes.fr///commit/c3ef867aed10e8291b8c0409bc65996758262d14))
* add homemade exception type ([2840528](https://gitlab.univ-nantes.fr///commit/2840528907f724d9a1b62db0b2553d899df4adc5))
* add listEntries to EvaluationStorageReader ([2a6a245](https://gitlab.univ-nantes.fr///commit/2a6a24539e0cc3f4c5965101c4fe763f5daec53e))
* add new evaluation service (wip) ([ebce489](https://gitlab.univ-nantes.fr///commit/ebce489f3b634f123ab9140959921d1cb096f496))
* add new list method to storage ([ebc24ba](https://gitlab.univ-nantes.fr///commit/ebc24ba8d0c1204251460033b97b7e5addf1ad83))
* add new mockable file writer service ([1ac3caa](https://gitlab.univ-nantes.fr///commit/1ac3caaf04cf971fac3ef122358857e48b5135f2))
* add the 'evaluator' as a library service ([9e4e7c3](https://gitlab.univ-nantes.fr///commit/9e4e7c3bce8744ef07a7d21716a483aad93b428d))
* first version of eval service, with csv ([0f4adeb](https://gitlab.univ-nantes.fr///commit/0f4adebe8bca947dba8d4141581dfb24cd9890a1))
* make csvwriter service public + sundries ([cb26bb5](https://gitlab.univ-nantes.fr///commit/cb26bb5a66a4e3a5663e86b33096d88e86b72b3e))
* make getEvaluationDataReader public ([b9f31c2](https://gitlab.univ-nantes.fr///commit/b9f31c2b5207f4b9c1998d0fc768b9fb4b751f3e))
* make storage clear return boolean ([1da6268](https://gitlab.univ-nantes.fr///commit/1da6268f09943a659e8af1e95efe6c5984da3c8e))
* provide new evaluation services + sundries ([e6b4bba](https://gitlab.univ-nantes.fr///commit/e6b4bba294a71f2dd3cce3656341308d02042fab))
* rename clone to git + add pull ([f3f8852](https://gitlab.univ-nantes.fr///commit/f3f885297f7c7af7b3cc227535fada04ce83f15f))
* renames + add eval delete and outdate check ([ca83537](https://gitlab.univ-nantes.fr///commit/ca835377e5725cf1846386008e23b9b99397c87b))
* store complete commit data ([f76e1c1](https://gitlab.univ-nantes.fr///commit/f76e1c12e1faf77fefd734a8a21262d8f8643bc4))
* store date with evaluation results ([f8360ba](https://gitlab.univ-nantes.fr///commit/f8360baf5165d0289d0df6f670487e7c49a2ea23))


### Bug Fixes

* change Error→Problem in StudentStorageReader ([d2ec78b](https://gitlab.univ-nantes.fr///commit/d2ec78b6720868bd4bf26ba9a12cf0ff5f3afd18))
* missing refactoring evaluation results ([05dc5a8](https://gitlab.univ-nantes.fr///commit/05dc5a813c95b79d9b2af2c1b9d9c44ac615bb54))
* the dynamic evaluator loading ([6840c67](https://gitlab.univ-nantes.fr///commit/6840c6769d80d8711875da1fc2b1a22327598c79))
* wrong use of override param in evaluation ([db2fa2f](https://gitlab.univ-nantes.fr///commit/db2fa2fda5d6e28b20df35b40ff43e96299db082))


* rename csv + inject date + fix tests ([3b72c81](https://gitlab.univ-nantes.fr///commit/3b72c8156e573d433584ce5d86ff8c29adb65aa7))
* rm ProjectData(Writer|Reader)Provider ([55e2dbb](https://gitlab.univ-nantes.fr///commit/55e2dbb1c7f2e1fc1c32c09b9fab2106a8e36df6))
* split evaluation in more functions ([299f77f](https://gitlab.univ-nantes.fr///commit/299f77f17f19218ff0c7c7064d3cd11cdb9a8960))

### [0.0.28](https://gitlab.univ-nantes.fr///compare/v0.0.27...v0.0.28) (2021-03-26)


### Features

* add checkDeadline to project ([747ba70](https://gitlab.univ-nantes.fr///commit/747ba70884831475f6a9690eb688fe5b1e50f05a))

### [0.0.27](https://gitlab.univ-nantes.fr///compare/v0.0.26...v0.0.27) (2021-01-06)


### Features

* **feedbackservice:** add create function ([ce3f257](https://gitlab.univ-nantes.fr///commit/ce3f25758606163e734a28314cb78eb01c286156))


### Bug Fixes

* project storage reader date ([c7ef164](https://gitlab.univ-nantes.fr///commit/c7ef164ca6517f5abed0807b654c91402c0ad2bf))

### [0.0.26](https://gitlab.univ-nantes.fr///compare/v0.0.25...v0.0.26) (2021-01-03)


### Bug Fixes

* submit feedback ([550d942](https://gitlab.univ-nantes.fr///commit/550d942585b50cbbc50efa190e7241dad2f2c2bf))

### [0.0.25](https://gitlab.univ-nantes.fr///compare/v0.0.24...v0.0.25) (2021-01-03)


### Bug Fixes

* http-client axios post ([2e12388](https://gitlab.univ-nantes.fr///commit/2e1238820f129d0576d721ae1ae0c155e6c6d0e2))

### [0.0.24](https://gitlab.univ-nantes.fr///compare/v0.0.23...v0.0.24) (2021-01-03)


### Features

* remove batch clone from library ([af50607](https://gitlab.univ-nantes.fr///commit/af50607855e9733aae4e558934388801f88def15))

### [0.0.23](https://gitlab.univ-nantes.fr///compare/v0.0.21...v0.0.23) (2021-01-03)


### Features

* project data reader ([94f4899](https://gitlab.univ-nantes.fr///commit/94f48990a01a39efb86aa5abeb5450a4ee8c460c))


### Bug Fixes

* build ([10e9f2f](https://gitlab.univ-nantes.fr///commit/10e9f2fd44cfc4a1fcef4d5af01ac849833f6422))
* pagination property type ([abcd1af](https://gitlab.univ-nantes.fr///commit/abcd1afdfa525ae1832c80286448ad0ebe4118a0))

### [0.0.22](https://gitlab.univ-nantes.fr///compare/v0.0.21...v0.0.22) (2021-01-03)


### Features

* project data reader ([94f4899](https://gitlab.univ-nantes.fr///commit/94f48990a01a39efb86aa5abeb5450a4ee8c460c))

### [0.0.21](https://gitlab.univ-nantes.fr///compare/v0.0.20...v0.0.21) (2021-01-03)


### Bug Fixes

* add feeback service to Naolib class ([fdeb91c](https://gitlab.univ-nantes.fr///commit/fdeb91c06c8b627e2d16c069778dd502b2ffbf3d))

### [0.0.20](https://gitlab.univ-nantes.fr///compare/v0.0.19...v0.0.20) (2021-01-02)


### Bug Fixes

* project all students ([4bf794d](https://gitlab.univ-nantes.fr///commit/4bf794d70f63bd6bc6e5025b7a063db6d129f8f5))

### [0.0.19](https://gitlab.univ-nantes.fr///compare/v0.0.18...v0.0.19) (2021-01-02)


### Bug Fixes

* project infos writer ([d564aee](https://gitlab.univ-nantes.fr///commit/d564aee87b25949010ec5371fbd5e6cedb2e4275))

### [0.0.18](https://gitlab.univ-nantes.fr///compare/v0.0.17...v0.0.18) (2021-01-02)


### Bug Fixes

* folder storage create missing path ([1290bdc](https://gitlab.univ-nantes.fr///commit/1290bdc30cc79cbc67485e444f54b192dc7148e4))
* get correct attribute for last commit date ([48a8b07](https://gitlab.univ-nantes.fr///commit/48a8b0753817eb3a49f28441199a314b0a4564e2))

### [0.0.17](https://gitlab.univ-nantes.fr///compare/v0.0.16...v0.0.17) (2020-12-28)


### Features

* **cloneservice:** add last commit date to project description file ([cfc9203](https://gitlab.univ-nantes.fr///commit/cfc9203c0ea024a2c5b0bcdb5e4f5c4e849db9dc))

### [0.0.16](https://gitlab.univ-nantes.fr///compare/v0.0.15...v0.0.16) (2020-12-27)


### Bug Fixes

* **projectservice:** fix pagination error with per_page argument ([1a962c5](https://gitlab.univ-nantes.fr///commit/1a962c510eb3a9201f65ab218d68eaf825aaaec1))

### [0.0.15](https://gitlab.univ-nantes.fr///compare/v0.0.14...v0.0.15) (2020-12-27)


### Bug Fixes

* storage key path ([e0bec31](https://gitlab.univ-nantes.fr///commit/e0bec314a62d93b7966b5aa33eb6eb14dbee0b41))

### [0.0.14](https://gitlab.univ-nantes.fr///compare/v0.0.13...v0.0.14) (2020-12-27)


### Bug Fixes

* remove storageProvider from project service ([0025c5c](https://gitlab.univ-nantes.fr///commit/0025c5c37cd1d4daafcc6bf00370197802ccabe6))

### [0.0.13](https://gitlab.univ-nantes.fr///compare/v0.0.12...v0.0.13) (2020-12-27)


### Features

* storage + clone ([39a76c7](https://gitlab.univ-nantes.fr///commit/39a76c7f622e39bf38cc02979b2a05b3d375face))

### [0.0.12](https://gitlab.univ-nantes.fr///compare/v0.0.11...v0.0.12) (2020-12-27)


### Features

* naogit folder ([8bd8a8c](https://gitlab.univ-nantes.fr///commit/8bd8a8c6fda0bdd18cede554f23e1f4399752a6a))

### [0.0.11](https://gitlab.univ-nantes.fr///compare/v0.0.10...v0.0.11) (2020-12-26)


### Features

* **projectservice:** add date filter ([a61de4e](https://gitlab.univ-nantes.fr///commit/a61de4e5d2b2b0d8fb55a74c75d8bc9d15d0b0ae)), closes [#22](https://gitlab.univ-nantes.fr///issues/22)
* **projectservice:** add student ID filter ([49297ab](https://gitlab.univ-nantes.fr///commit/49297abd7dfeea792fca0313589bb9675d4f184c)), closes [#23](https://gitlab.univ-nantes.fr///issues/23)
* **projectservice:** added membership filter ([30c07d6](https://gitlab.univ-nantes.fr///commit/30c07d6ad7367fc731a6e0841b010447c52355f0))

### [0.0.10](https://gitlab.univ-nantes.fr///compare/v0.0.9...v0.0.10) (2020-12-26)


### Features

* clone private repos ([feb653f](https://gitlab.univ-nantes.fr///commit/feb653f181b8cbb3bdcf38b7f945871ac8317498))

### [0.0.9](https://gitlab.univ-nantes.fr///compare/v0.0.8...v0.0.9) (2020-12-26)


### Features

* **projectservice:** handle pagination in list function ([bf0f041](https://gitlab.univ-nantes.fr///commit/bf0f0412f098bf00cbdb6b685b2d8af9815a2570))


### Bug Fixes

* undo release 0.0.9 ([46b4410](https://gitlab.univ-nantes.fr///commit/46b4410628d57a702048923d3a61752dde059ee6))
* **projectservice:** fix headers naming ([52ca412](https://gitlab.univ-nantes.fr///commit/52ca412ec2b6a4eddcf4608aabcb2275f3c4eb31))

### [0.0.8](https://gitlab.univ-nantes.fr///compare/v0.0.7...v0.0.8) (2020-12-26)

### [0.0.7](https://gitlab.univ-nantes.fr///compare/v0.0.6...v0.0.7) (2020-12-24)


### Bug Fixes

* **projectservice:** fix call to git clone ([715f9b2](https://gitlab.univ-nantes.fr///commit/715f9b267970b06f93cd9e7a87a44719203d4a80))

### [0.0.6](https://gitlab.univ-nantes.fr///compare/v0.0.5...v0.0.6) (2020-12-24)


### Bug Fixes

* **projectservice:** add missing attributes to Project interface ([d91d507](https://gitlab.univ-nantes.fr///commit/d91d507b64ca34e138fdf3345f4c30907104f7ec))

### [0.0.5](https://gitlab.univ-nantes.fr///compare/v0.0.4...v0.0.5) (2020-12-24)


### Features

* **projectservice:** use explicit folder names in clone function ([7b6d467](https://gitlab.univ-nantes.fr///commit/7b6d467b5b86921ab012b66b97500442b0c53c53)), closes [#21](https://gitlab.univ-nantes.fr///issues/21)


### Bug Fixes

* fix version ([1fb920a](https://gitlab.univ-nantes.fr///commit/1fb920a60cd2f30ac10d27ddf061199cd9aa7025))

### [0.0.4](https://gitlab.univ-nantes.fr///compare/v0.0.3...v0.0.4) (2020-12-22)


### Features

* **projectservice:** implement clone function ([9bb9e8a](https://gitlab.univ-nantes.fr///commit/9bb9e8a3972750fb74bc13e5fc3537f492f1d0d1)), closes [#21](https://gitlab.univ-nantes.fr///issues/21)
* **projectservice:** render clone function async ([944a208](https://gitlab.univ-nantes.fr///commit/944a2082e06804bffc63dd6a8c340dd2c27a697b)), closes [#21](https://gitlab.univ-nantes.fr///issues/21)


### Bug Fixes

* imports ([eb0ab71](https://gitlab.univ-nantes.fr///commit/eb0ab71c3e70d01bc6e17cc4ee9085da2f3ef57d))

### [0.0.3](https://gitlab.univ-nantes.fr///compare/v0.0.2...v0.0.3) (2020-12-22)


### Features

* project list search ([6bfb831](https://gitlab.univ-nantes.fr///commit/6bfb8313f0ab4a59b9d733143907f3363279f781))

### [0.0.2](https://gitlab.univ-nantes.fr///compare/v0.0.1...v0.0.2) (2020-12-22)


### Features

* **client:** HTTP Client ([2d6c178](https://gitlab.univ-nantes.fr///commit/2d6c178a3f3645877c62043efbe9e3b59a696345)), closes [#16](https://gitlab.univ-nantes.fr///issues/16)

### 0.0.1 (2020-11-10)


### Features

* **lib:** create NaoLib class ([ca866e0](https://gitlab.univ-nantes.fr///commit/ca866e071104d42063eabdc23afc2c1a8f730428))
