export interface Evaluator {
  analyze(path: string): any
  score(analysisResults: any): any
  initialize?(configuration: any): void
}

export interface CSVProjectLine {
  projectID: number
  members: string
  membersIDs: string
  data: any
}

export interface CSVMemberLine {
  projectID: number
  memberName: string
  memberID: string
  data: any
}
