import { Storage } from '../../../core/storage'
import { FeedbacksPending } from './feedback.storage.keys'

export class FeedbackStorageReader {
  constructor(private storage: Storage) {}

  readPending(feedbackName: string): string | null {
    return this.storage.getRaw(`${FeedbacksPending}${feedbackName}`)
  }
}
