export interface CloneProjectParams {
  // GitLab project id
  projectId: number

  // GitLab project web url
  projectUrl: string

  // Clone folder name
  folderName: string
}

export interface GitChangesCallbackArgs {
  // GitLab project id
  projectId: number

  // Clone location (absolute path)
  path: string
}

export interface OnGitChanges {
  onProjectClone(params: GitChangesCallbackArgs): Promise<void>
  onProjectPull(params: GitChangesCallbackArgs): Promise<void>
}
